CIAM Tenants - Delete
启动异步作,删除客户租户和 Azure 资源的 Azure AD。 资源删除只能作为 租户删除过程的最后一个步骤发生。
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureActiveDirectory/ciamDirectories/{resourceName}?api-version=2023-05-17-preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
resource
|
path | True |
string |
资源组的名称。 |
|
resource
|
path | True |
string maxLength: 26pattern: ^[a-zA-Z0-9]{1,26} |
租户的初始子域。 |
|
subscription
|
path | True |
string |
唯一标识 azure 订阅Microsoft的订阅凭据。 订阅 ID 构成了每个服务调用的 URI 的一部分。 |
|
api-version
|
query | True |
string |
要用于客户端请求的 API 的版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 202 Accepted |
接受资源删除请求。 Azure-AsyncOperation 标头指示要轮询异步作结果的 URL/位置。 标头
|
|
| 204 No Content |
NoContent - 已成功删除或不存在客户租户资源的 Azure AD。 |
|
| Other Status Codes |
描述作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Delete_CIAM_tenant
示例请求
DELETE https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab346/resourceGroups/rg1/providers/Microsoft.AzureActiveDirectory/ciamDirectories/contoso?api-version=2023-05-17-preview
示例响应
Azure-AsyncOperation: https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab346/providers/Microsoft.AzureActiveDirectory/operationStatuses/99999999-9999-9999-9999-999999999999
Retry-After: 60
定义
| 名称 | 说明 |
|---|---|
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |